Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ServiceInformation_out Class Reference

`#include <Services.h>`

Collaboration diagram for CORBA_ServiceInformation_out:

[legend]
List of all members.

## Public Methods
| CORBA_ServiceInformation_out (CORBA_ServiceInformation *&)
| CORBA_ServiceInformation_out (CORBA_ServiceInformation_var &)
| CORBA_ServiceInformation_out (const CORBA_ServiceInformation_out &)
CORBA_ServiceInformation_out & | operator= (const CORBA_ServiceInformation_out &)
CORBA_ServiceInformation_out & | operator= (CORBA_ServiceInformation *)
| operator CORBA_ServiceInformation *& ()
CORBA_ServiceInformation *& | ptr (void)
CORBA_ServiceInformation * | operator-> (void)
## Private Methods
void | operator= (const CORBA_ServiceInformation_var &)
## Private Attributes
CORBA_ServiceInformation *& | ptr_
| assignment from T_var not allowed. More...

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ServiceInformation_out::CORBA_ServiceInformation_out | ( | CORBA_ServiceInformation *& | p | ) |

ACE_INLINE CORBA_ServiceInformation_out::CORBA_ServiceInformation_out | ( | CORBA_ServiceInformation_var & | p | ) |

ACE_INLINE CORBA_ServiceInformation_out::CORBA_ServiceInformation_out | ( | const CORBA_ServiceInformation_out & | p | ) |

## Member Function Documentation

ACE_INLINE CORBA_ServiceInformation_out::operator CORBA_ServiceInformation *& | ( |  | ) |

ACE_INLINE CORBA_ServiceInformation * CORBA_ServiceInformation_out::operator-> | ( | void |  | ) |

void CORBA_ServiceInformation_out::operator= | ( | const CORBA_ServiceInformation_var & |  | ) | `[private]`

ACE_INLINE CORBA_ServiceInformation_out & CORBA_ServiceInformation_out::operator= | ( | CORBA_ServiceInformation * | p | ) |

ACE_INLINE CORBA_ServiceInformation_out & CORBA_ServiceInformation_out::operator= | ( | const CORBA_ServiceInformation_out & | p | ) |

ACE_INLINE CORBA_ServiceInformation *& CORBA_ServiceInformation_out::ptr | ( | void |  | ) |

## Member Data Documentation

CORBA_ServiceInformation*& CORBA_ServiceInformation_out::ptr_`[private]`

| assignment from T_var not allowed.

The documentation for this class was generated from the following files:

- Services.h
- Services.i